Mensaje con imagen
curl --request POST \
--url https://whatsapp.heybot.cloud/api/v2/message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": 123,
"type": "<string>",
"image": {
"id": 123,
"link": "<string>",
"caption": "<string>"
}
}
'import requests
url = "https://whatsapp.heybot.cloud/api/v2/message"
payload = {
"to": 123,
"type": "<string>",
"image": {
"id": 123,
"link": "<string>",
"caption": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: 123,
type: '<string>',
image: {id: 123, link: '<string>', caption: '<string>'}
})
};
fetch('https://whatsapp.heybot.cloud/api/v2/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Envío de mensajes
Mensaje con imagen
POST
/
api
/
v2
/
message
Mensaje con imagen
integer
default:5219876543210
required
Número de WhatsApp del destinatario en formato internacional, sin símbolos ni espacios.
string
required
Tipo de mensaje a enviar. Para este endpoint debe ser
image.object
required
Objeto con el contenido del mensaje.
Show propiedades
Show propiedades
integer
- Identificador del activo multimedia subido.
- Obligatorio si se usa contenido multimedia subido. De lo contrario, se debe omitir.
string
- URL del recurso multimedia alojado en tu servidor público.
- Obligatorio si se usa contenido multimedia alojado. De lo contrario, se puede omitir.
string
- Texto del pie de foto del activo multimedia.
- No debe superar los 1.024 caracteres.
Ejemplo
{
"to": 5219876543210,
"type": "image",
"image": {
"link": "https://example.com/image.jpg",
"caption": "Mira esta increible foto!"
}
}